Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jivesoftware.openfire
Enum Connection.TLSPolicy

    java.lang.Object
      java.lang.Enum<Connection.TLSPolicy>
          org.jivesoftware.openfire.Connection.TLSPolicy

All Implemented Interfaces:
  Serializable, Comparable<Connection.TLSPolicy>

Enclosing interface:
  Connection

    public static enum Connection.TLSPolicy

extends Enum<Connection.TLSPolicy>

Enumeration of possible TLS policies required to interact with the server.

Enum Constant Summary
`disabled` TLS is not available.
`optional` TLS is optional to interact with the server.
`required` TLS is required to interact with the server.

Method Summary
`static Connection.TLSPolicy` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Connection.TLSPolicy[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### required

    public static final Connection.TLSPolicy required

  TLS is required to interact with the server. Entities that do not secure their connections using TLS will get a stream error and their connections will be closed.

### optional

    public static final Connection.TLSPolicy optional

  TLS is optional to interact with the server. Entities may or may not secure their connections using TLS.

### disabled

    public static final Connection.TLSPolicy disabled

  TLS is not available. Entities that request a TLS negotiation will get a stream error and their connections will be closed.

Method Detail

### values

    public static final Connection.TLSPolicy[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(Connection.TLSPolicy c : Connection.TLSPolicy.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static Connection.TLSPolicy valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2003-2008 Jive Software.